org.apache.thrift.server

## Class TThreadPoolServer.Args

- java.lang.Object
- - org.apache.thrift.server.TServer.AbstractServerArgs<TThreadPoolServer.Args>
  - - org.apache.thrift.server.TThreadPoolServer.Args

- Enclosing class:
    TThreadPoolServer

      public static class TThreadPoolServer.Args
      extends TServer.AbstractServerArgs<TThreadPoolServer.Args>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `maxWorkerThreads`
    `int` | `minWorkerThreads`
    `java.util.concurrent.TimeUnit` | `stopTimeoutUnit`
    `int` | `stopTimeoutVal`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TThreadPoolServer.Args(TServerTransport transport)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TThreadPoolServer.Args` | `maxWorkerThreads(int n)`
    `TThreadPoolServer.Args` | `minWorkerThreads(int n)`

    - ### Methods inherited from class org.apache.thrift.server.TServer.AbstractServerArgs

      `inputProtocolFactory, inputTransportFactory, outputProtocolFactory, outputTransportFactory, processor, processorFactory, protocolFactory, transportFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### minWorkerThreads

          public int minWorkerThreads

    - #### maxWorkerThreads

          public int maxWorkerThreads

    - #### stopTimeoutVal

          public int stopTimeoutVal

    - #### stopTimeoutUnit

          public java.util.concurrent.TimeUnit stopTimeoutUnit

  - ### Constructor Detail

    - #### TThreadPoolServer.Args

          public TThreadPoolServer.Args(TServerTransport transport)

  - ### Method Detail

    - #### minWorkerThreads

          public TThreadPoolServer.Args minWorkerThreads(int n)

    - #### maxWorkerThreads

          public TThreadPoolServer.Args maxWorkerThreads(int n)